package com.qmth.jkserver.core.kw;

import com.qmth.jkserver.core.exception.JkServerException;
import com.qmth.jkserver.core.kw.validate.NormalKwTempDataProcessor;
import com.qmth.jkserver.core.kw.validate.SolfegeKwTempDataProcessor;
import com.qmth.jkserver.core.kw.validate.UtestKwTempDataProcessor;
import com.qmth.jkserver.enums.ExamType;

/**
 * 机考考务数据校验
 * @author tianjun
 *
 */
public class KwTempDataFactory {
	
	public static IKwTempDataProcessor getInsatance(ExamType examType){
			switch (examType) {
					case NORMAL:
						return new NormalKwTempDataProcessor();
					case SOLFEGE:
						return new SolfegeKwTempDataProcessor();
					case UTEST:
						return new UtestKwTempDataProcessor();
					default:
						throw new JkServerException("未知的考试类型:" + examType);
			}
	}
	

}
